UbuntuUpdates.org

Package "twisted"

Name: twisted

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • twisted dummy package for Twisted SSH Implementation
  • twisted dummy package for SMTP, IMAP and POP protocol implementation
  • twisted package for DNS protocol implementation
  • twisted dummy package for NNTP protocol implementation

Latest version: 17.9.0-2ubuntu0.1
Release: bionic (18.04)
Level: updates
Repository: universe

Links



Other versions of "twisted" in Bionic

Repository Area Version
base main 17.9.0-2
base universe 17.9.0-2
security main 17.9.0-2ubuntu0.1
security universe 17.9.0-2ubuntu0.1
updates main 17.9.0-2ubuntu0.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 17.9.0-2ubuntu0.1 2020-03-19 19:06:50 UTC

  twisted (17.9.0-2ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: incorrect URI and HTTP method validation
    - debian/patches/CVE-2019-12387.patch: prevent CRLF injections in
      src/twisted/web/_newclient.py, src/twisted/web/client.py,
      src/twisted/web/test/injectionhelpers.py,
      src/twisted/web/test/test_agent.py,
      src/twisted/web/test/test_webclient.py.
    - CVE-2019-12387
  * SECURITY UPDATE: incorrect cert validation in XMPP support
    - debian/patches/CVE-2019-12855-*.patch: upstream patches to implement
      certificate checking.
    - CVE-2019-12855
  * SECURITY UPDATE: HTTP/2 denial of service issues
    - debian/patches/CVE-2019-951x.patch: buffer outbound control frames
      and timeout invalid clients in src/twisted/web/_http2.py,
      src/twisted/web/error.py, src/twisted/web/http.py,
      src/twisted/web/test/test_http.py,
      src/twisted/web/test/test_http2.py.
    - CVE-2019-9512
    - CVE-2019-9514
    - CVE-2019-9515
  * SECURITY UPDATE: request smuggling attacks
    - debian/patches/CVE-2020-1010x-pre1.patch: refactor to reduce
      duplication in src/twisted/web/test/test_http.py.
    - debian/patches/CVE-2020-1010x.patch: fix several request smuggling
      attacks in src/twisted/web/http.py,
      src/twisted/web/test/test_http.py.
    - CVE-2020-10108
    - CVE-2020-10109

 -- Marc Deslauriers <email address hidden> Mon, 16 Mar 2020 13:24:46 -0400

CVE-2019-12387 In Twisted before 19.2.1, twisted.web did not validate or sanitize URIs or HTTP methods, allowing an attacker to inject invalid characters such as CR
CVE-2019-12855 In words.protocols.jabber.xmlstream in Twisted through 19.2.1, XMPP support did not verify certificates when used with TLS, allowing an attacker to M
CVE-2019-9512 Some HTTP/2 implementations are vulnerable to ping floods, potentially leading to a denial of service. The attacker sends continual pings to an HTTP/
CVE-2019-9514 Some HTTP/2 implementations are vulnerable to a reset flood, potentially leading to a denial of service. The attacker opens a number of streams and s
CVE-2019-9515 Some HTTP/2 implementations are vulnerable to a settings flood, potentially leading to a denial of service. The attacker sends a stream of SETTINGS f
CVE-2020-1010 RESERVED
CVE-2020-10108 In Twisted Web through 19.10.0, there was an HTTP request splitting vulnerability. When presented with two content-length headers, it ignored the fir
CVE-2020-10109 In Twisted Web through 19.10.0, there was an HTTP request splitting vulnerability. When presented with a content-length and a chunked encoding header



About   -   Send Feedback to @ubuntu_updates